export default class DataPoolItem {
    private name;
    private data;
    private decodedData;
    constructor(name: string, data?: any, decodedData?: any);
    getData(): any;
    setData(data: any): void;
    getDecodedData(): any;
    setDecodedData(data: any): void;
    getName(): string;
    setName(name: string): void;
}
